package gate

import (
	"server/game"
	"server/hall"
	"server/login"
	"server/msg"
)

func init() {
	msg.Processor.SetRouter(&msg.ReqLogin{}, login.ChanRPC)
	msg.Processor.SetRouter(&msg.ReqRegister{}, login.ChanRPC)

	msg.Processor.SetRouter(&msg.BuyShopItem{}, hall.ChanRPC)
	msg.Processor.SetRouter(&msg.EnterHall{}, hall.ChanRPC)

	msg.Processor.SetRouter(&msg.ReqHeartBeat{}, game.ChanRPC)
	msg.Processor.SetRouter(&msg.SendColorSz{}, game.ChanRPC)
	msg.Processor.SetRouter(&msg.SendRoleMove{}, game.ChanRPC)
	msg.Processor.SetRouter(&msg.SendQuitRoom{}, game.ChanRPC)
	msg.Processor.SetRouter(&msg.MatchLudo{}, game.ChanRPC)

}
